Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.tree.nodes
Class TestCaseTreeNode.LoadTestsTreeNode

    java.lang.Object
      com.eviware.soapui.model.tree.AbstractTreeNode<WsdlLoadTestsModelItem>
          com.eviware.soapui.model.tree.nodes.TestCaseTreeNode.LoadTestsTreeNode

All Implemented Interfaces:
  SoapUITreeNode

Enclosing class:
  TestCaseTreeNode

    public class TestCaseTreeNode.LoadTestsTreeNode

extends AbstractTreeNode<WsdlLoadTestsModelItem>

Constructor Summary
`protected` | `TestCaseTreeNode.LoadTestsTreeNode()`

Method Summary
`ActionList` | `getActions()`
`int` | `getChildCount()`
`SoapUITreeNode` | `getChildNode(int index)`
`int` | `getIndexOfChild(java.lang.Object child)`
`SoapUITreeNode` | `getParentTreeNode()`
`void` | `loadTestInserted(LoadTest loadTest)`
`void` | `loadTestRemoved(LoadTest loadTest)`
`void` | `release()`

Methods inherited from class com.eviware.soapui.model.tree.AbstractTreeNode
`getModelItem, getPopup, isLeaf, reorder, toString, valueChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestCaseTreeNode.LoadTestsTreeNode

    protected TestCaseTreeNode.LoadTestsTreeNode()

Method Detail

### getChildCount

    public int getChildCount()

### getIndexOfChild

    public int getIndexOfChild(java.lang.Object child)

### getChildNode

    public SoapUITreeNode getChildNode(int index)

### getParentTreeNode

    public SoapUITreeNode getParentTreeNode()

### loadTestInserted

    public void loadTestInserted(LoadTest loadTest)

### loadTestRemoved

    public void loadTestRemoved(LoadTest loadTest)

### release

    public void release()

### getActions

    public ActionList getActions()

  Specified by:
    `getActions` in interface `SoapUITreeNode`
  Overrides:
    `getActions` in class `AbstractTreeNode<WsdlLoadTestsModelItem>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.